# Add Leap to a Secret dapp

Adding Connect to Leap on your dapp should be fairly straightforward. You can either refer to the methods we have added below or use the docs made by the SCRT core team here : <https://github.com/scrtlabs/secret.js#leap-cosmos-wallet>

## Suggest Adding SNIP-20 Tokens to Leap <a href="#suggest-adding-snip-20-tokens-to-keplr" id="suggest-adding-snip-20-tokens-to-keplr"></a>

\
The webpage can request the user permission to add a SNIP-20 token to Leap's token list. Will throw an error if the user rejects the request.\
\
If a SNIP-20 with the same contract address already exists, nothing will happen.

```typescript
async suggestToken(chainId: string, contractAddress: string): Promise<void>
```

## Get SNIP-20 Viewing Key <a href="#get-snip-20-viewing-key" id="get-snip-20-viewing-key"></a>

Returns the viewing key of a SNIP-20 token registered in Leap.\
\
If the SNIP-20 of the contract address doesn't exist, it will throw an error.

```typescript
async getSecret20ViewingKey( chainId: string, contractAddress: string ): Promise<string>;
```

## Update SNIP-20 Viewing Key <a href="#get-snip-20-viewing-key" id="get-snip-20-viewing-key"></a>

Updates the viewing key of a SNIP-20 token.\
\
If the SNIP-20 of the contract address exist, nothing will happen.

```typescript
async updateViewingKey( chainId: string, contractAddress: string , viewingKey: string): Promise<void>;
```

We hope this information helps you integrate Leap into your SCRT Dapp. If you have any questions or need further assistance, please don't hesitate to reach out to us at <support@leapwallet.io>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.leapwallet.io/cosmos/for-dapps-connect-to-leap/add-leap-to-a-secret-dapp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
